opencv: CvLevMarq Class Reference

Public Types | Public Member Functions | Public Attributes

# CvLevMarq Class Reference

`#include <calib3d.hpp>`

List of all members.

## Public Types
enum | { DONE = 0, STARTED = 1, CALC_J = 2, CHECK_ERR = 3 }
## Public Member Functions
void | clear ()
| CvLevMarq (int nparams, int nerrs, CvTermCriteria criteria=cvTermCriteria(CV_TERMCRIT_EPS+CV_TERMCRIT_ITER, 30, DBL_EPSILON), bool completeSymmFlag=false)
| CvLevMarq ()
void | init (int nparams, int nerrs, CvTermCriteria criteria=cvTermCriteria(CV_TERMCRIT_EPS+CV_TERMCRIT_ITER, 30, DBL_EPSILON), bool completeSymmFlag=false)
void | step ()
bool | update (const CvMat *&param, CvMat *&J, CvMat *&err)
bool | updateAlt (const CvMat *&param, CvMat *&JtJ, CvMat *&JtErr, double *&errNorm)
| ~CvLevMarq ()
## Public Attributes
bool | completeSymmFlag
CvTermCriteria | criteria
cv::Ptr< CvMat > | err
double | errNorm
int | iters
cv::Ptr< CvMat > | J
cv::Ptr< CvMat > | JtErr
cv::Ptr< CvMat > | JtJ
cv::Ptr< CvMat > | JtJN
cv::Ptr< CvMat > | JtJV
cv::Ptr< CvMat > | JtJW
int | lambdaLg10
cv::Ptr< CvMat > | mask
cv::Ptr< CvMat > | param
double | prevErrNorm
cv::Ptr< CvMat > | prevParam
int | state

## Member Enumeration Documentation

anonymous enum

Enumerator:

  DONE |
  STARTED |
  CALC_J |
  CHECK_ERR |

## Constructor & Destructor Documentation

CvLevMarq::CvLevMarq | ( | ) |

CvLevMarq::CvLevMarq | ( | int | nparams,
|  | int | nerrs,
|  | CvTermCriteria | criteria = `cvTermCriteria(CV_TERMCRIT_EPS+CV_TERMCRIT_ITER, 30, DBL_EPSILON)`,
|  | bool | completeSymmFlag = `false`
| ) |  |

CvLevMarq::~CvLevMarq | ( | ) |

## Member Function Documentation

void CvLevMarq::clear | ( | ) |

void CvLevMarq::init | ( | int | nparams,
|  | int | nerrs,
|  | CvTermCriteria | criteria = `cvTermCriteria(CV_TERMCRIT_EPS+CV_TERMCRIT_ITER, 30, DBL_EPSILON)`,
|  | bool | completeSymmFlag = `false`
| ) |  |

void CvLevMarq::step | ( | ) |

bool CvLevMarq::update | ( | const CvMat *& | param,
|  | CvMat *& | J,
|  | CvMat *& | err
| ) |  |

bool CvLevMarq::updateAlt | ( | const CvMat *& | param,
|  | CvMat *& | JtJ,
|  | CvMat *& | JtErr,
|  | double *& | errNorm
| ) |  |

## Member Data Documentation

bool CvLevMarq::completeSymmFlag

CvTermCriteria CvLevMarq::criteria

cv::Ptr<CvMat> CvLevMarq::err

double CvLevMarq::errNorm

int CvLevMarq::iters

cv::Ptr<CvMat> CvLevMarq::J

cv::Ptr<CvMat> CvLevMarq::JtErr

cv::Ptr<CvMat> CvLevMarq::JtJ

cv::Ptr<CvMat> CvLevMarq::JtJN

cv::Ptr<CvMat> CvLevMarq::JtJV

cv::Ptr<CvMat> CvLevMarq::JtJW

int CvLevMarq::lambdaLg10

cv::Ptr<CvMat> CvLevMarq::mask

cv::Ptr<CvMat> CvLevMarq::param

double CvLevMarq::prevErrNorm

cv::Ptr<CvMat> CvLevMarq::prevParam

int CvLevMarq::state

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/calib3d/include/opencv2/calib3d/calib3d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines